* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Comic Sans MS', 'Poppins', sans-serif;
}

body {
    background: #000;
    background: linear-gradient(135deg, #8b5cf6, #22d3ee);
}

/* HEADER */
.header {
    position: absolute;
    top: 20px;
    left: 40px;
    z-index: 10;
}

.logo {
    display: flex;
    align-items: right;
    gap: 10px;
    color: #eaff00;
    font-weight: bold;
    font-size: 1.5rem;
    
}

.logo img {
    width: 40px;
    height: 40px;
    border-radius: 50%;
}

/* HERO */
.hero {
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.hero-container {
    width: 90%;
    max-width: 1200px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
}

/* LEFT */
.hero-left img {
    max-width: 400px;
    animation: float 3s ease-in-out infinite;
}

/* RIGHT */
.hero-right {
    color: #fff;
}

.hero-right h1 {
    font-size: 4rem;
    margin-bottom: 1rem;
}

.hero-right h1 span {
    color: #eaff00;
}

.hero-right p {
    max-width: 420px;
    font-size: 1.4rem;
    line-height: 1.6;
    margin-bottom: 2rem;
}

/* BUTTON */
.copy-btn {
    background: #eaff00;
    color: #000;
    border: none;
    padding: 14px 40px;
    border-radius: 40px;
    font-size: 1.1rem;
    font-weight: bold;
    cursor: pointer;
    box-shadow: 0 6px 0 #000;
}

.copy-btn:hover {
    transform: translateY(3px);
    box-shadow: 0 3px 0 #000;
}

/* ROCKETS */
.rocket {
    position: absolute;
    width: 60px;
    animation: fly 4s infinite ease-in-out;
}

.r1 {
    bottom: 30%;
    right: 10%;
}

.r2 {
    top: 20%;
    right: 50%;
    animation-delay: 1.5s;
}
.section {
  padding: 60px 5%;
}
.title {
    text-align: center;
    font-size: 2.5rem;
    color: #f7ff00;
    margin-bottom: 40px;
  }
  
  /* TOKENOMIC */
  .tokenomic-container {
    width: 90%;
    max-width: 1200px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
  }
  
  .token-box {
    background: #fff;
    border-radius: 10px;
    padding: 20px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
    max-width: 520px;


  }
  
  .box {
    border-radius: 10px;
    padding: 20px;
    color: #fff;
    text-align: center;
  }
  
  .box h3 {
    font-size: 1.2rem;
    margin-bottom: 8px;
  }
  
  .box p {
    font-size: 1.1rem;
    font-weight: bold;
  }
  
  .long {
    grid-column: span 2;
    height: 80px;
  }
  .image-box-tokenomic img{
    max-width: 400px;
    animation: float 3s ease-in-out infinite;
  }
  
  /* COLORS */
  .pink { background: #ff79c6; }
  .purple { background: #6a1b9a; }
  .red { background: #ff5252; }
  .blue { background: #0d47a1; }
  .teal { background: #0097a7; }
  
  /* ROADMAP */
  .roadmap-container {
    width: 90%;
    max-width: 1200px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
    
  }
  
  .roadmap-box {
    background: #ff87d4;
    border-radius: 10px;
    padding: 30px;
    max-width: 550px;
  }
  
  .phase {
    margin-bottom: 20px;
  }
  
  .phase h3 {
    font-size: 1.4rem;
    margin-bottom: 5px;
  }
  
  .phase p {
    font-size: 1rem;
  }
  
  .phase1 { color: #5e2b97; }
  .phase2 { color: #ffe600; }
  .phase3 { color: #1e88e5; }
  .phase4 { color: #00bfa5; }
  
  /* IMAGE */
  .image-box img {
    max-width: 500px;
    animation: float 3s ease-in-out infinite;
  }
  
  
  .section-footer {
    display: flex;
      justify-content: center;
      align-items: center;
      color: #fff;
      text-align: center;
      padding: 40px 20px;
  }
  .sec-footer {
    max-width: 900px;
    width: 100%;
  }

  h1, h2 {
    color: #eaff00;
    letter-spacing: 2px;
    margin-bottom: 20px;
  }

  h1 {
    font-size: clamp(28px, 5vw, 42px);
  }

  .about {
    font-size: 20px;
  }
  h2 {
    font-size: 20px;
    margin-top: 50px;
  }

  .disclaimer {
    font-size: 15px;
    line-height: 1.8;
    margin-bottom: 20px;
  }

  .icons {
    margin-top: 40px;
    display: flex;
    justify-content: center;
    gap: 20px;
    flex-wrap: wrap;
  }

  .icon {
    width: 60px;
    height: 60px;
    background: #fff;
    border-radius: 14px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 28px;
    color: #000;
    transition: transform 0.3s ease;
  }
  .icon img {
    width: 30px;
  }
  .icon:hover {
    transform: scale(1.1);
  }

  .copyright {
    margin-top: 25px;
    font-size: 18px;
    color: #eaff00;
  }

/* ANIMATIONS */
@keyframes float {
    0%,100% { transform: translateY(0); }
    50% { transform: translateY(-15px); }
}

@keyframes fly {
    0%,100% { transform: translateY(0); }
    50% { transform: translateY(-20px); }
}

/* RESPONSIVE */
@media (max-width: 768px) {
    .hero-container {
        margin-top: 150px;
        flex-direction: column;
        text-align: center;
    }
    .hero-left img {
        max-width: 200px;
    }
    .header {
        left: 20px;
    }

    .hero-right h1 {
        font-size: 2rem;
    }
    .r2 {
        top: 30%;
        right: 80%;
    }
    .tokenomic-container,
  .roadmap-container {
    flex-direction: column;
    text-align: center;
  }

.title {
    font-size: 20px;
}
  .token-box {
    margin-left: 30px;
  }
  .roadmap-box {
    margin-left: 35px;
  }
  .box h3 {
    font-size: 15px;
  }
  .box p {
    font-size: 10px;
  }
  .phase h3 {
    font-size: 15px;
  }
  .phase p {
    font-size: 10px;
  }
  .image-box  img {
    width: 300px;
    margin-left: 45px;
  }
  .image-box-tokenomic img{
    max-width: 260px;
    animation: float 3s ease-in-out infinite;
    margin-left: 45px;
  }
  .sec-footer h1,h2 {
    font-size: 20px;
  }
  .sec-footer p {
    font-size: 15px;
  }
  .icon {
    width: 52px;
    height: 52px;
    font-size: 24px;
  }
}
